Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0007236
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] Z. OthersmajorN/A2009-01-29 15:572011-06-22 20:22
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionopenFixed in Version
StatusacknowledgedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0007236: Tracking issue: Cleanup for 3.00

DescriptionThis feature request serves as a tracking issue which should depend on all individual cleanup task which should be done at the start of the 2.60 cycle.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on feature request 0006698 closedshuehner Partial list of broken/not useful xsql methods which are currently not used 
depends on feature request 0007063 closedshuehner Remove the deprecated task tables at start of 2.60 
depends on feature request 0007064 closedshuehner Change Access Control for old-style webservices (i.e. ExternalSales) from AD_Task -> AD_Process 
depends on feature request 00046692.50 closedshuehner Generated - WAD code clean up: @SuppressWarnings("unused") 
depends on feature request 0004446 acknowledgedplatform Review list of allowed characters in Tab/Window-names and normalization for internal use (i.e. FormatUtilities.replaceTildes) 
depends on feature request 0006819 closedplatform Translation code at compilation does currently care about if a string does have a translation. But it should not care about this 
depends on feature request 0007130 closedshuehner Invalid substr index in SQL query in used parse-method of FileImport_data.xsql 
depends on feature request 0007346 newplatform Solve inconsistency: nullable db-columns which have mandatory to Y in the Application Dictionary 
depends on feature request 0005058 closedjonalegriaesarte Unused not working Process: RV_Order_Open 
depends on feature request 0007375 closedshuehner Aceptar function in Buscador.java has redundant conditions. 
depends on feature request 0007548 closedshuehner Tabla a contabilizar RV_Cash_Detail no existe 
depends on feature request 00083463.0MP0 closedshuehner Remove srcClient support 
depends on feature request 0008875 closedshuehner Not used table and window: Storage Bin Type 
depends on defect 0005277 closedshuehner WARNING messages with new JasperReports library 
depends on feature request 0009576 closedshuehner Remove all task implementation 
depends on feature request 0011432 closedshuehner AD_ModelObject.AD_WorkFlow_ID cleanup 
depends on defect 00119003.0MP0 closedshuehner Unsused FO based reports cleanup 
depends on defect 0012429 closedalostale Class registered as a servlet to grant access to services 
depends on defect 0013798 closedvmromanos Link to parent columns using wrong reference 
depends on feature request 0014236 closedalostale AD_Model_Object cleanup for generated tabs 
depends on defect 00140903.0MP3 closediperdomo If you deactivate a field and after compiling, the input hidden related with that field is still present 
depends on design defect 0014555 closedmarvintm Cleanup: remove src-db/src classes, as they are no longer useful 
depends on defect 00158493.0MP0 closediperdomo Remove dojo 0.4 inclusion from HTML not using it 
depends on defect 00155752.50MP27 closedAinhoaPagola accounting date in "gl journal line" is not updated 
depends on feature request 0016549 closedshuehner Remove Eclipse launch files 
depends on feature request 0018804 newmirurita C_INVOICELINE_TRG clean up 
depends on feature request 0018723 newmirurita C_INVOICELINE_TRG2 clean up 
related to design defect 00047462.50 acknowledgedAugustoMauch Generated Help for non-displayed fields 
related to defect 0015999 closedvmromanos The callout SE_Assignment_Product has not java class on the sources 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0016939)
rafaroda (developer)
2009-06-04 11:14

Jasper Reports have to be reviewed to see whether they still display WARNING. Linked issue 0005277 as child.
(0038496)
shuehner (administrator)
2011-06-22 20:05

Remove target version as cleanup for 3.0 is over with publication of mp0... Perhaps individual items can be pushed in inside maintenance cycle, but need to be reviewed individually or will reassigned to the other cleanup tracking issue for openbravo.NEXT

- Issue History
Date Modified Username Field Change
2009-01-29 15:57 shuehner New Issue
2009-01-29 15:57 shuehner Assigned To => shuehner
2009-01-29 15:57 shuehner sf_bug_id 0 => 2545633
2009-01-29 15:57 shuehner Regression testing => No
2009-01-29 15:58 shuehner Relationship added related to 0006713
2009-01-29 15:59 shuehner Relationship added depends on 0006698
2009-01-29 15:59 shuehner Relationship added depends on 0007063
2009-01-29 15:59 shuehner Relationship added depends on 0007064
2009-01-29 16:00 shuehner Status new => acknowledged
2009-01-29 16:00 shuehner Issue Monitored: shuehner
2009-01-29 16:02 shuehner Relationship added depends on 0004669
2009-01-29 16:56 shuehner Relationship added depends on 0004754
2009-01-30 14:42 shuehner Relationship added depends on 0004446
2009-01-30 19:27 shuehner Relationship added depends on 0006135
2009-01-30 20:02 shuehner Relationship added depends on 0006819
2009-02-02 15:19 shuehner Relationship added depends on 0007130
2009-02-03 17:09 mtaal Relationship added blocks 0007346
2009-02-03 18:08 shuehner Relationship deleted blocks 0007346
2009-02-03 18:08 shuehner Relationship added depends on 0007346
2009-02-13 12:27 AinhoaPagola Relationship added blocks 0005058
2009-02-13 12:36 shuehner Relationship replaced depends on 0005058
2009-02-17 12:38 shuehner Relationship added depends on 0007375
2009-02-17 18:32 rafaroda Relationship added depends on 0007548
2009-02-25 11:17 shuehner Relationship added related to 0000460
2009-02-25 11:17 shuehner Relationship deleted related to 0000460
2009-02-25 11:17 shuehner Relationship added related to 0004601
2009-03-06 09:03 iperdomo Relationship added related to 0004746
2009-03-30 15:43 alostale Relationship added depends on 0008346
2009-05-18 10:38 shuehner Relationship added depends on 0008875
2009-05-22 18:13 shuehner Relationship added depends on 0009118
2009-06-04 11:13 rafaroda Relationship added depends on 0005277
2009-06-04 11:14 rafaroda Note Added: 0016939
2009-06-18 11:49 shuehner Relationship added depends on 0009533
2009-06-22 11:27 alostale Relationship added depends on 0009576
2009-07-10 15:01 pjuvara Relationship deleted related to 0004601
2009-07-22 10:35 shuehner Relationship deleted related to 0006713
2009-08-06 16:36 alostale Relationship added depends on 0010208
2009-11-20 09:38 alostale Relationship added depends on 0011432
2010-01-05 13:13 iperdomo Relationship added related to 0011900
2010-01-05 13:14 iperdomo Relationship replaced blocks 0011900
2010-01-05 13:22 iperdomo Relationship replaced depends on 0011900
2010-02-24 09:53 iperdomo Relationship added depends on 0012429
2010-06-28 12:42 iperdomo Relationship added depends on 0013798
2010-08-18 15:20 alostale Relationship added depends on 0014236
2010-09-09 10:33 alostale Relationship added depends on 0014090
2010-09-14 18:43 marvintm Relationship added depends on 0014555
2010-11-24 20:12 shuehner Relationship added depends on 0015290
2010-12-24 14:10 shuehner Relationship added depends on 0015525
2011-02-03 09:54 iperdomo Relationship added depends on 0015849
2011-02-18 11:00 shuehner Relationship added related to 0015999
2011-03-18 12:37 AinhoaPagola Relationship added depends on 0015575
2011-03-30 09:40 iperdomo Relationship added depends on 0016549
2011-05-16 17:12 shuehner Summary Tracking issue: Cleanup for 2.60 => Tracking issue: Cleanup for 3.00
2011-05-18 12:16 shuehner Relationship deleted depends on 0004754
2011-06-02 10:53 dmitry_mezentsev Target Version 3.0MP0 => 3.0MP1
2011-06-22 19:57 dmitry_mezentsev Target Version 3.0MP1 => 3.0MP2
2011-06-22 20:05 shuehner Note Added: 0038496
2011-06-22 20:05 shuehner Target Version 3.0MP2 =>
2011-06-22 20:14 shuehner Relationship deleted depends on 0009118
2011-06-22 20:15 shuehner Relationship deleted depends on 0010208
2011-06-22 20:19 shuehner Relationship deleted depends on 0015525
2011-06-22 20:19 shuehner Relationship deleted depends on 0009533
2011-06-22 20:20 shuehner Relationship deleted depends on 0015290
2011-06-22 20:22 shuehner Relationship deleted depends on 0006135
2011-11-17 16:46 shuehner Relationship added depends on 0018804
2011-11-17 16:48 shuehner Relationship added depends on 0018723


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker